#include "SM_MathPCH.h"
#include "SM_AABox.h"


void  AABox::operator|=(const Vector3D& v)
{
  if (m_v3dMin.x>v.x) m_v3dMin.x=v.x;
  if (m_v3dMin.y>v.y) m_v3dMin.y=v.y;
  if (m_v3dMin.z>v.z) m_v3dMin.z=v.z;

  if (m_v3dMax.x<v.x) m_v3dMax.x=v.x;
  if (m_v3dMax.y<v.y) m_v3dMax.y=v.y;
  if (m_v3dMax.z<v.z) m_v3dMax.z=v.z;
}
